package org.apache.bcel.verifier;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.TreeSet;
import javax.swing.ListModel;
import javax.swing.event.ListDataEvent;
import javax.swing.event.ListDataListener;
import org.apache.commons.lang3.ArrayUtils;

/* loaded from: org_apache_bcel_verifier.jar:org/apache/bcel/verifier/VerifierFactoryListModel.class */
public class VerifierFactoryListModel implements VerifierFactoryObserver, ListModel<String> {
    private final List<ListDataListener> listeners = new ArrayList();
    private final Set<String> cache = new TreeSet();

    public VerifierFactoryListModel() {
        VerifierFactory.attach(this);
        update(null);
    }

    public synchronized void addListDataListener(ListDataListener l) {
        this.listeners.add(l);
    }

    /* renamed from: getElementAt, reason: merged with bridge method [inline-methods] */
    public synchronized String m3getElementAt(int index) {
        return ((String[]) this.cache.toArray(ArrayUtils.EMPTY_STRING_ARRAY))[index];
    }

    public synchronized int getSize() {
        return this.cache.size();
    }

    public synchronized void removeListDataListener(ListDataListener l) {
        this.listeners.remove(l);
    }

    @Override // org.apache.bcel.verifier.VerifierFactoryObserver
    public synchronized void update(String s) {
        Verifier[] verifiers = VerifierFactory.getVerifiers();
        int verifierLen = verifiers.length;
        this.cache.clear();
        for (Verifier verifier : verifiers) {
            this.cache.add(verifier.getClassName());
        }
        for (ListDataListener listener : this.listeners) {
            listener.contentsChanged(new ListDataEvent(this, 0, 0, verifierLen - 1));
        }
    }
}
